Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 3005253002: Add full stack tests for MediaCodec. (Closed)

Created:
1 year, 3 months ago by brandtr
Modified:
1 year, 2 months ago
CC:
webrtc-reviews_webrtc.org, video-team_agora.io, yujie_mao (webrtc), zhengzhonghou_agora.io, stefan-webrtc, tterriberry_mozilla.com, qiang.lu, niklas.enbom, peah-webrtc, the sun, mflodman
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Add full stack tests for MediaCodec encoder. * Add audio_ prefix to CallTest::{en,de}coder_factory_. * Let VideoQualityTest only instantiate encoders using encoder factories. * Add HW encoder factories to VideoQualityTest. * Add full stack tests: - sqcif7 at 30 kbps: MediaCodec and libvpx. - 240p10 at 100 kbps: MediaCodec, libvpx, and MediaCodec+libvpx. BUG=webrtc:8219 Review-Url: https://codereview.webrtc.org/3005253002 Cr-Commit-Position: refs/heads/master@{#19923} Committed: https://webrtc.googlesource.com/src/+/2cefac6c1685abfcd7b90fdef8e926f1c2b79bfa

Patch Set 1 #

Total comments: 13

Patch Set 2 : Rebase. #

Total comments: 2

Patch Set 3 : Rebase. #

Patch Set 4 : kjellander comments 1. #

Patch Set 5 : asapersson comments 1. #

Patch Set 6 : Comment fixes and 7 fps in sqcif test instead. #

Patch Set 7 : Rebase. #

Patch Set 8 : Rebase: webrtc/ move. #

Patch Set 9 : Rebase. #

Patch Set 10 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+475 lines, -187 lines) Patch
M BUILD.gn View 1 2 3 4 5 6 7 8 2 chunks +9 lines, -1 line 0 comments Download
M call/call_perf_tests.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M modules/video_coding/BUILD.gn View 1 2 3 4 5 6 7 8 3 chunks +19 lines, -10 lines 0 comments Download
M test/call_test.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -2 lines 0 comments Download
M test/call_test.cc View 1 2 3 4 5 6 7 5 chunks +6 lines, -6 lines 0 comments Download
M video/BUILD.gn View 1 2 3 4 5 6 7 1 chunk +9 lines, -0 lines 0 comments Download
M video/DEPS View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M video/full_stack_tests.cc View 1 2 3 4 5 6 7 8 42 chunks +370 lines, -124 lines 0 comments Download
M video/screenshare_loopback.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M video/video_loopback.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M video/video_quality_test.h View 1 2 3 4 5 6 7 3 chunks +4 lines, -1 line 0 comments Download
M video/video_quality_test.cc View 1 2 3 4 5 6 7 7 chunks +49 lines, -41 lines 0 comments Download

Messages

Total messages: 46 (28 generated)
brandtr
Please take a look :) sprang: General review, but focus on VideoQualityTest asapersson: FullStackTest.Foreman240p100kbpsMediaCodecWithForcedSwFallback kjellander: ...
1 year, 3 months ago (2017-09-08 11:31:15 UTC) #5
kjellander_webrtc
lgtm with two comments https://codereview.webrtc.org/3005253002/diff/1/webrtc/modules/video_coding/BUILD.gn File webrtc/modules/video_coding/BUILD.gn (right): https://codereview.webrtc.org/3005253002/diff/1/webrtc/modules/video_coding/BUILD.gn#newcode370 webrtc/modules/video_coding/BUILD.gn:370: rtc_source_set("video_coding_codecs_test_android_test_initializer") { I'd suggest a ...
1 year, 3 months ago (2017-09-08 12:36:39 UTC) #6
åsapersson
lgtm https://codereview.webrtc.org/3005253002/diff/1/webrtc/test/call_test.cc File webrtc/test/call_test.cc (right): https://codereview.webrtc.org/3005253002/diff/1/webrtc/test/call_test.cc#newcode431 webrtc/test/call_test.cc:431: audio_decoder_factory_.get())); audio_decoder_factory_? https://codereview.webrtc.org/3005253002/diff/1/webrtc/test/call_test.cc#newcode441 webrtc/test/call_test.cc:441: audio_decoder_factory_.get())); same here https://codereview.webrtc.org/3005253002/diff/1/webrtc/video/full_stack_tests.cc ...
1 year, 3 months ago (2017-09-11 09:28:44 UTC) #7
brandtr
Rebase.
1 year, 3 months ago (2017-09-11 14:22:54 UTC) #8
sprang_webrtc
lgtm https://codereview.webrtc.org/3005253002/diff/20001/webrtc/video/full_stack_tests.cc File webrtc/video/full_stack_tests.cc (right): https://codereview.webrtc.org/3005253002/diff/20001/webrtc/video/full_stack_tests.cc#newcode590 webrtc/video/full_stack_tests.cc:590: "ConferenceMotion_1280_720_50"}; Weird formatting. Is this clang-format's fault?
1 year, 3 months ago (2017-09-12 13:08:47 UTC) #9
brandtr
Rebase.
1 year, 3 months ago (2017-09-13 08:59:31 UTC) #10
brandtr
Addressed comments. https://codereview.webrtc.org/3005253002/diff/1/webrtc/modules/video_coding/BUILD.gn File webrtc/modules/video_coding/BUILD.gn (right): https://codereview.webrtc.org/3005253002/diff/1/webrtc/modules/video_coding/BUILD.gn#newcode370 webrtc/modules/video_coding/BUILD.gn:370: rtc_source_set("video_coding_codecs_test_android_test_initializer") { On 2017/09/08 12:36:39, kjellander_webrtc wrote: ...
1 year, 3 months ago (2017-09-13 11:17:24 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3005253002/100001
1 year, 3 months ago (2017-09-13 12:21:24 UTC) #24
brandtr
+solenberg for variable rename in call/
1 year, 3 months ago (2017-09-13 12:26:22 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: presubmit on master.tryserver.webrtc (JOB_FAILED, http://build.chromium.org/p/tryserver.webrtc/builders/presubmit/builds/21542)
1 year, 3 months ago (2017-09-13 12:27:05 UTC) #28
brandtr
Rebase.
1 year, 3 months ago (2017-09-14 13:59:29 UTC) #29
brandtr
Rebase: webrtc/ move.
1 year, 3 months ago (2017-09-15 07:52:19 UTC) #30
brandtr
Rebase.
1 year, 2 months ago (2017-09-21 07:26:40 UTC) #31
stefan-webrtc
lgtm
1 year, 2 months ago (2017-09-22 07:01:42 UTC) #33
brandtr
Rebase.
1 year, 2 months ago (2017-09-22 07:04:02 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/3005253002/180001
1 year, 2 months ago (2017-09-22 07:42:23 UTC) #42
commit-bot: I haz the power
Committed patchset #10 (id:180001) as https://webrtc.googlesource.com/src/+/2cefac6c1685abfcd7b90fdef8e926f1c2b79bfa
1 year, 2 months ago (2017-09-22 07:46:32 UTC) #45
brandtr
1 year, 2 months ago (2017-09-22 11:29:56 UTC) #46
Message was sent while issue was closed.
A revert of this CL (patchset #10 id:180001) has been created in
https://codereview.webrtc.org/3016593002/ by brandtr@webrtc.org.

The reason for reverting is: Breaks KitKat/Lollipop perf bots..

Powered by Google App Engine
This is Rietveld 408576698